#ifndef HEALTHINFO_HPP_INCLUDED
#define HEALTHINFO_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class HealthInfo : public CacheableNode
    {
        public:
            HealthInfo(const void* Obj);

            HealthInfo() = default;
            HealthInfo(HealthInfo&& Obj) = default;
            HealthInfo(const HealthInfo& Obj) = default;
            HealthInfo& operator=(HealthInfo&& Obj) = default;
            HealthInfo& operator=(const HealthInfo& Obj) = default;

            static Class GetClass();

            std::int32_t GetScale() const;

    };
}

#endif // HEALTHINFO_HPP_INCLUDED
